Get Health

Get Health

Use this endpoint to get all storage connectivity health
Authorized Roles : PROVIDER

Request
URI
GET
https://{api_host}/provider/health
COPY
Query Parameters
integer
page
Optional

Zero-based page index (0..N)

integer
size
Optional

The size of the page to be returned

string of array
sort
Optional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ProviderEnvRuntimeInfoResponseDTO of type(s) application/vnd.vmware.dms-v1+json
{
    "standalone": {
        "nodeId": "string",
        "ipAddress": "string",
        "alerts": [
            {
                "alertType": "string",
                "alertStatus": "string",
                "alertTime": "string"
            }
        ]
    }
}
standalone
Optional

standalone


400

Bad Request

Operation doesn't return any data structure